com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtUpdate

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtUpdate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRelatedDomainExtUpdate
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a tag associated with a Domain-Update command.

  Title: EPP 1.0 Related Domain - update tag

  Description: The EPPRelatedDomainExtUpdate object represents the collection of domains that must be deleted atomically. As such it is composed of a collection of `String` objects.
  As XML, it is represented by a element containing a number of elements.

  Copyright: Copyright (c) 2013

  Company: VeriSign

  Version:
    1.0
  Author:
    nchigurupati
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_DOMAIN_NAME`
    `static java.lang.String` | `ELM_NAME` Element tag name for create

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRelatedDomainExtUpdate()` Default constructor
    `EPPRelatedDomainExtUpdate(java.util.List<java.lang.String> aDomains)` Constructor with a list of domain names.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDomain(java.lang.String aDomainName)` Adds a domain name to be updated to the list.
    `java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtUpdate
    `void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from the list of the list of available related domain names represented by `EPPRelatedDomainExtName` to given DOM Document
    `boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPRelatedDomainExtUpdate.
    `java.util.List<java.lang.String>` | `getDomains()` Returns the list of available related domain names represented by `EPPRelatedDomainExtName`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `hasDomains()` Are there any domains included in the list of domains?
    `void` | `setDomains(java.util.List<java.lang.String> aDomains)` Sets the list of available related domain names represented by `String`
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for create
      See Also:
        Constant Field Values

    - #### ELM_DOMAIN_NAME

          public static final java.lang.String ELM_DOMAIN_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRelatedDomainExtUpdate

          public EPPRelatedDomainExtUpdate()

      Default constructor

    - #### EPPRelatedDomainExtUpdate

          public EPPRelatedDomainExtUpdate(java.util.List<java.lang.String> aDomains)

      Constructor with a list of domain names.
      Parameters:
        `aDomains` -

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      A deep clone of the EPPRelatedDomainExtUpdate
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception
      See Also:
        `Object.clone()`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from the list of the list of available related domain names represented by `EPPRelatedDomainExtName` to given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### equals

          public boolean equals(java.lang.Object aObj)

      A deep comparison of this with another EPPRelatedDomainExtUpdate.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### addDomain

          public void addDomain(java.lang.String aDomainName)

      Adds a domain name to be updated to the list.
      Parameters:
        `aDomainName` - Related domain name to add to the list.

    - #### hasDomains

          public boolean hasDomains()

      Are there any domains included in the list of domains?
      Returns:
        `true` if the domain list is not `null` and there is at least one domain in the list; `false` otherwise.

    - #### getDomains

          public java.util.List<java.lang.String> getDomains()

      Returns the list of available related domain names represented by `EPPRelatedDomainExtName`
      Returns:
        the related domains to update.

    - #### setDomains

          public void setDomains(java.util.List<java.lang.String> aDomains)

      Sets the list of available related domain names represented by `String`
      Parameters:
        `aDomains` - the related domains to set to update

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.